Skip to main content
YNAB

List all YNAB budget accounts

Returns the accounts synced from this YNAB budget.

GET
/destinations/ynab/connections/{connectionId}/budgets/{budgetId}/accounts
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

connectionIdintegerrequired

The YNAB connection ID

budgetIdintegerrequired

The YNAB budget ID

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

filter[name]stringquery

Filter by account name.

filter[type]stringquery

Filter by account type.

filter[on_budget]stringquery

Filter by whether the account is on budget in YNAB (true/false).

filter[closed]stringquery

Filter by whether the account is closed in YNAB (true/false).

filter[direct_import_linked]stringquery

Filter by whether the account is linked to YNAB Direct Import (true/false).

filter[ynab_id]stringquery

Filter by the account's ID in YNAB.

sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query

Response

application/json

Paginated set of YnabBudgetAccountResource

dataobject[]required
metaobjectrequired